function _extends() {
  _extends = Object.assign ? Object.assign.bind() : function(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  };
  return _extends.apply(this, arguments);
}
import { renderless, api } from "@xmweb-ui/vue-renderless/exception/vue";
import { defineComponent, $props, setup as _setup } from "@xmweb-ui/vue-common";
import Button from "@xmweb-ui/vue-button";
import noperm from "@xmweb-ui/vue-theme/images/empty-noaccess.png";
import nodata from "@xmweb-ui/vue-theme/images/empty-nodata.png";
import weaknet from "@xmweb-ui/vue-theme/images/empty-nonetwork.png";
import nonews from "@xmweb-ui/vue-theme/images/empty-nonotice.png";
import noresult from "@xmweb-ui/vue-theme/images/empty-noresult.png";
import pagenoperm from "@xmweb-ui/vue-theme/images/empty-page-noaccess.png";
import pageweaknet from "@xmweb-ui/vue-theme/images/empty-page-nonetwork.png";
import pagenothing from "@xmweb-ui/vue-theme/images/empty-page-nothing.png";
import pageservererror from "@xmweb-ui/vue-theme/images/empty-page-servererror.png";
function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  if (functionalTemplate) {
    options.functional = true;
  }
  if (scopeId) {
    options._scopeId = "data-v-" + scopeId;
  }
  var hook;
  if (moduleIdentifier) {
    hook = function hook2(context) {
      context = context || // cached call
      this.$vnode && this.$vnode.ssrContext || // stateful
      this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext;
      if (!context && typeof __VUE_SSR_CONTEXT__ !== "undefined") {
        context = __VUE_SSR_CONTEXT__;
      }
      if (injectStyles) {
        injectStyles.call(this, context);
      }
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier);
      }
    };
    options._ssrRegister = hook;
  } else if (injectStyles) {
    hook = shadowMode ? function() {
      injectStyles.call(this, (options.functional ? this.parent : this).$root.$options.shadowRoot);
    } : injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var $constants = {
  nodata: "ui.exception.nodatamf",
  noperm: "ui.exception.nopermmf",
  weaknet: "ui.exception.weaknet",
  noresult: "ui.exception.noresult",
  nonews: "ui.exception.nonews",
  pagenoperm: "ui.exception.pagenoperm",
  pageweaknet: "ui.exception.pageweaknet",
  pagenothing: "ui.exception.pagenothing",
  pageservererror: "ui.exception.pageservererror"
};
var __vue2_script = defineComponent({
  components: {
    XmButton: Button
  },
  props: _extends({}, $props, {
    _constants: {
      type: Object,
      default: function _default() {
        return $constants;
      }
    },
    type: {
      type: String,
      default: "nodata"
    },
    message: String,
    subMessage: String,
    exceptionClass: String,
    pageEmpty: {
      type: Boolean,
      default: false
    },
    componentPage: {
      type: Boolean,
      default: false
    }
  }),
  setup: function setup(props, context) {
    return _setup({
      props,
      context,
      renderless,
      api,
      mono: true,
      extendOptions: {
        images: {
          noperm,
          nodata,
          weaknet,
          noresult,
          nonews,
          pagenoperm,
          pageweaknet,
          pagenothing,
          pageservererror
        }
      }
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    class: _vm.m("flex t-0 justify-center items-center w-full h-full bg-color-bg-1 text-center", _vm.exceptionClass)
  }, [_c("div", [_c("div", {
    staticClass: "bg-cover"
  }, [_vm.state.urlType ? _c("img", {
    class: ["inline-block", _vm.componentPage ? "w-[6.25rem]" : "w-[12.5rem]"],
    attrs: {
      "src": _vm.state.images[_vm.state.urlType],
      "alt": ""
    }
  }) : _vm._e()]), _vm._t("content", function() {
    return [_c("div", [_c("div", {
      class: ["text-color-text-primary mt-2 text-center text-base", _vm.componentPage ? "sm:text-xs" : "sm:text-sm"]
    }, [_vm._v(" " + _vm._s(_vm.t(_vm._constants[_vm.type])) + " ")]), _vm.subMessage ? _c("div", {
      staticClass: "leading-[1.375rem] sm:leading-3 sm:text-xs mt-1 sm:mt-2 text-color-icon-placeholder"
    }, [_vm._v(" " + _vm._s(_vm.subMessage) + " ")]) : _vm._e(), _c("div", {
      staticClass: "sm:mt-4 mt-6 inline-block"
    }, [_vm._t("default")], 2)])];
  })], 2)]);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles, null, null, null);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var mobileFirst = /* @__PURE__ */ function() {
  return __component__.exports;
}();
export {
  mobileFirst as default
};
